(function() {
	/*
	 * 端末情報取得
	 */
	getDeviceInfo = function() {
		var dump = "";
		dump += "端末名："                 + applican.device.name          + "\n";
		dump += "プラットフォーム："       + applican.device.platform      + "\n";
		dump += "UUID："                   + applican.device.uuid          + "\n";
		dump += "UUID_RFC4122："           + applican.device.uuid_rfc4122  + "\n";
		dump += "OSのバージョン："         + applican.device.version       + "\n";
		dump += "アプリカンのバージョン：" + applican.device.applican      + "\n";
		dump += "アプリの種類："           + applican.device.applican_type + "\n";
		dump += "パッケージ名："           + applican.device.package_name;
		document.getElementById("dumpAreaDevice").value = dump;
		alert(dump);
	};

	/*
	 * Push通知用トークン取得
	 */
	getPushToken = function() {
		applican.device.getPushToken(getPushTokenSuccess, getPushTokenError);
	};

	/*
	 * Push通知用トークン取得成功時のcallback処理
	 */
	function getPushTokenSuccess(res) {
		var dump = "Push通知用トークン：" + res.pushToken;
		document.getElementById("dumpAreaDevice").value = dump;
		alert(dump);
	}

	/*
	 * Push通知用トークン取得に失敗時の処理
	 */
	function getPushTokenError() {
		alert("Push通知用トークン取得に失敗しました。");
	}

	/*
	 * 画面解像度と現在の画面の向取得
	 */
	getDisplayInfo = function() {
		applican.device.getDisplayInfo(getDisplayInfoSuccess, getDisplayInfoError);
	};

	/*
	 * 画面解像度と現在の画面の向取得成功時のcallback処理
	 * 引数の構成：
	 * 	orientation		現在の画面の向き。“PORTRAIT” 又は “LANDSCAPE”
	 * 	width			WebViewエリアの実解像度幅。
	 * 	height			WebViewエリアの実解像度高さ
	 */
	function getDisplayInfoSuccess(info) {
		var dump = "";
		dump += "画面の向き："   + info.orientation + "\n";
		dump += "実解像度幅："   + info.width       + "\n";
		dump += "実解像度高さ：" + info.height      + "\n";
		document.getElementById("dumpAreaDevice").value = dump;
		alert(dump);
	}

	/*
	 * 画面解像度と現在の画面の向取得に失敗時の処理
	 */
	function getDisplayInfoError() {
		alert("画面解像度と現在の画面の向取得に失敗しました。");
	}

	/*
	 * 画面常時点灯(ON/OFF)切り替える
	 */
	screenSwitch = function(btnObject, screenOnFlag) {
		if(screenOnFlag) {
			btnObject.className = "btn btn-primary"; //「ON」ボタン
			btnObject.previousElementSibling.className = "btn btn-default"; //「OFF」ボタン
		} else {
			btnObject.className = "btn btn-primary"; //「OFF」ボタン
			btnObject.nextElementSibling.className = "btn btn-default"; //「ON」ボタン
		}
		applican.device.keepScreenOn(screenOnFlag);
	};

	/*
	 * 懐中電灯(ON/OFF)切り替える
	 */
	lightSwitch = function(btnObject, lightOnFlag) {
		if(lightOnFlag) {
			btnObject.className = "btn btn-primary"; //「ON」ボタン
			btnObject.previousElementSibling.className = "btn btn-default"; //「OFF」ボタン
		} else {
			btnObject.className = "btn btn-primary"; //「OFF」ボタン
			btnObject.nextElementSibling.className = "btn btn-default"; //「ON」ボタン
		}
		applican.device.light(lightOnFlag);
	};

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「端末情報取得」ボタン押下処理
		document.getElementById("btnDeviceInfo").addEventListener("touchend", getDeviceInfo, false);
		// 「Push通知用トークン取得」ボタン押下処理
		document.getElementById("btnPushToken").addEventListener("touchend", getPushToken, false);
		// 「画面解像度取得」ボタン押下処理
		document.getElementById("btnDisplayInfo").addEventListener("touchend", getDisplayInfo, false);
		// 「画面常時点灯・OFF」ボタン押下処理
		document.getElementById("btnScreenOff").addEventListener("touchend", function() {
			screenSwitch(this, false);
		}, false);
		// 「画面常時点灯・ON」ボタン押下処理
		document.getElementById("btnScreenOn").addEventListener("touchend", function() {
			screenSwitch(this, true);
		}, false);
		// 「懐中電灯・OFF」ボタン押下処理
		document.getElementById("btnLightOff").addEventListener("touchend", function() {
			lightSwitch(this, false);
		}, false);
		// 「懐中電灯・ON」ボタン押下処理
		document.getElementById("btnLightOn").addEventListener("touchend", function() {
			lightSwitch(this, true);
		}, false);
	});
})();
